Package org.apache.sysds.hops.estim

# Class EstimatorLayeredGraph.LayeredGraph

java.lang.Object
org.apache.sysds.hops.estim.EstimatorLayeredGraph.LayeredGraph

Enclosing class:
  EstimatorLayeredGraph

public static class EstimatorLayeredGraph.LayeredGraph extends Object

## Constructor Summary

Constructors
Constructor
Description
`LayeredGraph(int r, int seed)`
`LayeredGraph(List<MatrixBlock> chain, int r, int seed)`
`LayeredGraph(MatrixBlock m, int r, int seed)`

## Method Summary

Modifier and Type
Method
Description
`EstimatorLayeredGraph.LayeredGraph`
`and(EstimatorLayeredGraph.LayeredGraph lg)`
`void`
`buildNext(MatrixBlock mb)`
`EstimatorLayeredGraph.LayeredGraph`
`cbind(EstimatorLayeredGraph.LayeredGraph lg)`
`EstimatorLayeredGraph.LayeredGraph`
`diag()`
`long`
`estimateNnz()`
`EstimatorLayeredGraph.LayeredGraph`
`matMult(EstimatorLayeredGraph.LayeredGraph lg)`
`EstimatorLayeredGraph.LayeredGraph`
`or(EstimatorLayeredGraph.LayeredGraph lg)`
`EstimatorLayeredGraph.LayeredGraph`
`rbind(EstimatorLayeredGraph.LayeredGraph lg)`
`MatrixBlock`
`toMatrixBlock()`
`List<MatrixBlock>`
`toMatrixBlockList()`
`EstimatorLayeredGraph.LayeredGraph`
`transpose()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LayeredGraph

public LayeredGraph(int r, int seed)

### LayeredGraph

public LayeredGraph(List<MatrixBlock> chain, int r, int seed)

### LayeredGraph

public LayeredGraph(MatrixBlock m, int r, int seed)

## Method Details

### buildNext

public void buildNext(MatrixBlock mb)

### estimateNnz

public long estimateNnz()

### rbind

public EstimatorLayeredGraph.LayeredGraph rbind(EstimatorLayeredGraph.LayeredGraph lg)

### cbind

public EstimatorLayeredGraph.LayeredGraph cbind(EstimatorLayeredGraph.LayeredGraph lg)

### matMult

public EstimatorLayeredGraph.LayeredGraph matMult(EstimatorLayeredGraph.LayeredGraph lg)

### or

public EstimatorLayeredGraph.LayeredGraph or(EstimatorLayeredGraph.LayeredGraph lg)

### and

public EstimatorLayeredGraph.LayeredGraph and(EstimatorLayeredGraph.LayeredGraph lg)

### transpose

public EstimatorLayeredGraph.LayeredGraph transpose()

### diag

public EstimatorLayeredGraph.LayeredGraph diag()

### toMatrixBlock

public MatrixBlock toMatrixBlock()

### toMatrixBlockList

public List<MatrixBlock> toMatrixBlockList()